
function Create()
    -- property doesn't exist on the object by default, so it must be created now
    Object.SetProperty("Age", 0.0);
    local vegType = "Pepper";
    Object.SetProperty("VegType", vegType );
    Object.SetProperty("SubType", 1);
    Object.SetProperty("Harvestable", false);
end


function Update( timePassed )
    -- get the material that the object is currently placed in
    local ourX = Object.GetProperty("Pos.x");
    local ourY = Object.GetProperty("Pos.y");
    local material = Object.GetMaterial( ourX, ourY );    
    local maxAge = 720.0;
    
    if Object.GetProperty("Harvestable") then       
        Object.CreateJob("HarvestPeppers");
        Object.SetProperty("Tooltip", "tooltip_seeds_Harvestable");
        return;
    end    
    
    -- clear the tooltip
    Object.SetProperty("Tooltip", "");  
        
    -- increase our age and save it back to the object
    local age = Object.GetProperty("Age");    
    age = age + timePassed;    
    Object.SetProperty( "Age", age );
    
    -- set our subtype (and thus, our sprite) based on our age
    local subType = 0;
    if age < maxAge * 0.25 then
        subType = 1;    
    elseif age < maxAge * 0.60 then
        subType = 2;
    elseif age < maxAge * 0.85 then
        subType = 3;  		
    else
        subType = 4;
    end
    
    local currentSubtype = Object.GetProperty("SubType");
    if currentSubtype ~= subType then
        Object.SetProperty("SubType", subType);    
    end
    
    if age > maxAge then
        -- spawn cannabis at our position
        local name = Object.Spawn("Pepper", ourX, ourY );
	
        if name ~= nil then
            local velX = -1.0 + math.random() + math.random();
            local velY = -1.0 + math.random() + math.random();
            
            -- make the vegetable move slightly away from the plant, then reset our age
            Object.ApplyVelocity(name, velX, velY);
	end
	
        if math.random() > 0.8 then
            local name = Object.Spawn("Pepper", ourX, ourY );
	    
            if name ~= nil then
                local velX = -1.0 + math.random() + math.random();
                local velY = -1.0 + math.random() + math.random();
            
                -- make the vegetable move slightly away from the plant, then reset our age
                Object.ApplyVelocity(name, velX, velY);
	    end
	end
        Object.SetProperty( "Harvestable", true );  
    end

end


-- this function is called when the job created by the Object.CreateJob("TendCannabis") call is completed by the appropriate worker
-- the name of the function called follows the format "JobComplete_" plus the name of the job (as created in jobs.txt, and called in the CreateJob function)
function JobComplete_HarvestPeppers()
    Object.SetProperty("Harvestable", false);
	Object.SetProperty( "Age", 0 );
    Object.SetProperty( "SubType", 1 );
end